# Uses of Enum Class
com.usatiuk.dhfs.peerdiscovery.PeerAddressType

Packages that use PeerAddressType
Package
Description
com.usatiuk.dhfs.peerdiscovery

## Uses of PeerAddressType in com.usatiuk.dhfs.peerdiscovery

Methods in com.usatiuk.dhfs.peerdiscovery that return PeerAddressType
Modifier and Type
Method
Description
`PeerAddressType`
IpPeerAddress.`type()`
Returns the value of the `type` record component.
`PeerAddressType`
PeerAddress.`type()`
`static PeerAddressType`
PeerAddressType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PeerAddressType[]`
PeerAddressType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.usatiuk.dhfs.peerdiscovery with parameters of type PeerAddressType
Modifier and Type
Method
Description
`IpPeerAddress`
IpPeerAddress.`withType(PeerAddressType type)`
Constructors in com.usatiuk.dhfs.peerdiscovery with parameters of type PeerAddressType
Modifier
Constructor
Description
``
`IpPeerAddress(PeerId peer, PeerAddressType type, InetAddress address, int port, int securePort)`
Creates an instance of a `IpPeerAddress` record class.